Package org.apache.ignite.dump

## Class DumpReaderConfiguration

- java.lang.Object
- - org.apache.ignite.dump.DumpReaderConfiguration

    public class DumpReaderConfiguration
    extends Object

Configuration class of `DumpReader`.

See Also:
  `DumpReader`, `DumpConsumer`

### Field Summary

Fields
`static int` `DFLT_THREAD_CNT` Default thread count.
`static Duration` `DFLT_TIMEOUT` Default timeout.

### Constructor Summary

Constructors
`DumpReaderConfiguration​(File dir, DumpConsumer cnsmr)`
`DumpReaderConfiguration​(File dir, DumpConsumer cnsmr, int thCnt, Duration timeout, boolean failFast, boolean keepBinary, boolean keepRaw, String[] cacheGrpNames, boolean skipCopies, EncryptionSpi encSpi)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `cacheGroupNames()`
`DumpConsumer` `consumer()`
`File` `dumpRoot()`
`EncryptionSpi` `encryptionSpi()`
`boolean` `failFast()`
`boolean` `keepBinary()` Actual only if `keepRaw` is `false`.
`boolean` `keepRaw()`
`boolean` `skipCopies()`
`int` `threadCount()`
`Duration` `timeout()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_TIMEOUT

    public static final Duration DFLT_TIMEOUT

Default timeout.

#### DFLT_THREAD_CNT

    public static final int DFLT_THREAD_CNT

Default thread count.

See Also:
  Constant Field Values

### Constructor Detail

#### DumpReaderConfiguration

    public DumpReaderConfiguration​(File dir,
                                   DumpConsumer cnsmr)

Parameters:
  `dir` - Root dump directory.
  `cnsmr` - Dump consumer.

#### DumpReaderConfiguration

    public DumpReaderConfiguration​(File dir,
                                   DumpConsumer cnsmr,
                                   int thCnt,
                                   Duration timeout,
                                   boolean failFast,
                                   boolean keepBinary,
                                   boolean keepRaw,
                                   String[] cacheGrpNames,
                                   boolean skipCopies,
                                   EncryptionSpi encSpi)

Parameters:
  `dir` - Root dump directory.
  `cnsmr` - Dump consumer.
  `thCnt` - Count of threads to consume dumped partitions.
  `timeout` - Timeout of dump reader invocation.
  `failFast` - Stop processing partitions if consumer fail to process one.
  `keepBinary` - If `true` and if `keepRaw` is `false` then keeps `DumpEntry.key()` and `DumpEntry.value()` as `BinaryObject`.
  `keepRaw` - If `true`, doesn't deserialize cache data and keeps `DumpEntry.key()` as `KeyCacheObject` and `DumpEntry.value()` as `CacheObject`. If `true`, disables `keepBinary`.
  `cacheGrpNames` - Cache group names.
  `skipCopies` - Skip copies.
  `encSpi` - Encryption SPI.

### Method Detail

#### dumpRoot

    public File dumpRoot()

Returns:
  Root dump directiory.

#### consumer

    public DumpConsumer consumer()

Returns:
  Dump consumer instance.

#### threadCount

    public int threadCount()

Returns:
  Count of threads to consume dumped partitions.

#### timeout

    public Duration timeout()

Returns:
  Timeout of dump reader invocation.

#### failFast

    public boolean failFast()

Returns:
  `True` if stop processing after first consumer error.

#### keepBinary

    public boolean keepBinary()

Actual only if `keepRaw` is `false`.

Returns:
  `True` if `DumpEntry.key()` and `DumpEntry.value()` are kept as `BinaryObject`.

#### keepRaw

    public boolean keepRaw()

Returns:
  `True` if `DumpEntry.key()` and `DumpEntry.value()` are kept as `KeyCacheObject` and `CacheObject` respectively.

#### cacheGroupNames

    public String[] cacheGroupNames()

Returns:
  Cache group names.

#### skipCopies

    public boolean skipCopies()

Returns:
  Skip copies.

#### encryptionSpi

    public EncryptionSpi encryptionSpi()

Returns:
  Encryption SPI